帝国CMS7.5支持PHP7.*系列,兼容性更好

2022-12-07 0 629

PHP7版本对PHP改动大,去掉了MYSQL扩展模块等,导致部分函数无法正常使用。因而,帝国CMS7.5新增对PHP7.*系列运行环境的支持,兼容性更好。

使用PHP7.*运行环境时,以下两种情况,设置支持PHP7.*操作步骤:

1、全新安装帝国CMS时:

只需安装时“MYSQL接口类型”选择“mysqli”即可支持PHP7系列。

2、已经安装好帝国CMS换PHP7.*运行环境时:

只需修改配置文件“/e/config/config.php”将“$ecms_config['db']['usedb']='mysql';”修改为“$ecms_config['db']['usedb']='mysqli';”即可支持PHP7系列。(注意事项:UTF8文件不能用记事本修改文件,否则会将文件转为GBK编码,推荐用Dreamweaver修改。)

收藏 (0) 打赏

感谢您的支持,我会继续努力的!

打开微信/支付宝扫一扫,即可进行扫码打赏哦,分享从这里开始,精彩与您同在
点赞 (0)

悠久资源 帝国CMS教程 帝国CMS7.5支持PHP7.*系列,兼容性更好 https://www.u-9.cn/cmssyjc/empirecms-cmssyjc/2191.html

常见问题

相关文章

发表评论
暂无评论
官方客服团队

为您解决烦忧 - 24小时在线 专业服务

  • 0 +

    访问总数

  • 0 +

    会员总数

  • 0 +

    文章总数

  • 0 +

    今日发布

  • 0 +

    本周发布

  • 0 +

    运行天数

注册会员,众多资源免费下载